package cokr.xit.fims.crdn.dao;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import cokr.xit.fims.crdn.Crdn;
import cokr.xit.foundation.component.AbstractMapper;
import cokr.xit.foundation.data.DataObject;

/**단속 정보 조회 DAO
 * @author leebj
 */
@Mapper("crdnInfoMapper")
public interface CrdnInfoMapper extends AbstractMapper {
	/**단속 대장 정보를 조회한다.
	 * @param crdnId 단속 아이디
	 * @return 단속 정보
	 */
	List<DataObject> selectCrdnList(List<String> crdnIds);

	default DataObject selectCrdnInfo(String crdnId) {
		List<DataObject> list = selectCrdnList(List.of(crdnId));
		return !list.isEmpty() ? list.get(0) : null;
	}

	List<Crdn> selectCrdns(List<String> crdnIds);

	default Crdn selectCrdn(String crdnId) {
		List<Crdn> list = selectCrdns(List.of(crdnId));
		return !list.isEmpty() ? list.get(0) : null;
	}
}